/*
 * Copyright 2009-2010 by The Regents of the University of California
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * you may obtain a copy of the License from
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package edu.uci.ics.asterix.metadata.declared;

import edu.uci.ics.asterix.common.config.DatasetConfig.DatasetType;

public class AqlCompiledDatasetDecl {

    private String name;
    private String itemTypeName;
    private DatasetType datasetType;
    private IAqlCompiledDatasetDetails acdd;

    public AqlCompiledDatasetDecl(String name, String itemTypeName, DatasetType datasetType,
            IAqlCompiledDatasetDetails acdd) {
        this.name = name;
        this.itemTypeName = itemTypeName;
        this.datasetType = datasetType;
        this.acdd = acdd;
    }

    public String getName() {
        return name;
    }

    public String getItemTypeName() {
        return itemTypeName;
    }

    public DatasetType getDatasetType() {
        return datasetType;
    }

    public IAqlCompiledDatasetDetails getAqlCompiledDatasetDetails() {
        return acdd;
    }

}
